# SQLite3::exec

(PHP 5 >= 5.3.0, PHP 7)

SQLite3::exec — Executes a result-less query against a given database

### Description

public SQLite3::exec ( string `$query` ) : bool

Executes a result-less query against a given database.

> Note: SQLite3 may need to create » temporary files during the execution of queries, so the respective directories may have to be writable.

### Parameters

`query`

  The SQL query to execute (typically an INSERT, UPDATE, or DELETE query).

### Return Values

Returns `TRUE` if the query succeeded, `FALSE` on failure.

### Examples

Example #1 SQLite3::exec() example

`<?php
$db = new SQLite3('mysqlitedb.db');
$db->exec('CREATE TABLE bar (bar STRING)');
?>`